Subject: Re: linux-next: sh tree build failure

From: Paul Mundt <[email-masked]>
Date: Thu, 13 Nov 2008 12:24:40 +0900

On Thu, Nov 13, 2008 at 11:04:16AM +1100, Stephen Rothwell wrote:
> Hi Paul,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> ERROR: "clk_enable" [drivers/media/video/sh_mobile_ceu_camera.ko] undefined!
> ERROR: "clk_disable" [drivers/media/video/sh_mobile_ceu_camera.ko] undefined!
> ERROR: "clk_put" [drivers/media/video/sh_mobile_ceu_camera.ko] undefined!
> ERROR: "clk_get" [drivers/media/video/sh_mobile_ceu_camera.ko] undefined!
> 
> Maybe that needs restricting to SH or those routines need exporting?
> Anyway, I have dropped the sh tree for today.
> 
Sorry about that, it was missing a HAVE_CLK dependency. Fixed now,
thanks.